Update a business contact

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/deals-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Deals API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/deals-api/mcp"
  }
}

Close
PATCH /business-contacts/{businessContactId}

Using the business contact guid in the request path, the method updates the list of changes specified in the request body.

application/json

Body

object object

Responses

  • 200 application/json

    Successfully updated the business contact.

  • 400

    Invalid request. See response body for details.

  • 401

    Unauthorized request. See response body for details.

  • 403

    Permission denied. See response body for details.

  • 404 application/json

    Business contact not found.

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • details array[string]
  • 412

    Optimistic concurrency check failed. The If-Match header is missing or it does not contain the version currently in the database.

  • 500

    Unknown error. See response body for details.

PATCH /business-contacts/{businessContactId}
curl \
 --request PATCH 'http://api.example.com/business-contacts/{businessContactId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"id":"string (UUID)","contactType":"string","companyName":"string","prefix":"string","firstName":"string","middleName":"string","lastName":"string","suffix":"string","endCode":"string","addresses":[{"typeCode":"string","line1":"string","line2":"string","city":"string","provinceCode":"string","postalCode":"string","countryCode":"string"}],"phoneNumbers":[{"typeCode":"string","ext":"string","number":"string"}],"emailAddresses":[{"typeCode":"string","address":"string"}]}'
Request example
{
  "id": "string (UUID)",
  "contactType": "string",
  "companyName": "string",
  "prefix": "string",
  "firstName": "string",
  "middleName": "string",
  "lastName": "string",
  "suffix": "string",
  "endCode": "string",
  "addresses": [
    {
      "typeCode": "string",
      "line1": "string",
      "line2": "string",
      "city": "string",
      "provinceCode": "string",
      "postalCode": "string",
      "countryCode": "string"
    }
  ],
  "phoneNumbers": [
    {
      "typeCode": "string",
      "ext": "string",
      "number": "string"
    }
  ],
  "emailAddresses": [
    {
      "typeCode": "string",
      "address": "string"
    }
  ]
}
Response examples (200)
{}
Response examples (404)
{
  "code": 42,
  "message": "string",
  "details": [
    "string"
  ]
}